Package javax.help

# Class InvalidNavigatorViewException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.help.InvalidNavigatorViewException

All Implemented Interfaces:
  `Serializable`

public class InvalidNavigatorViewException extends Exception
JHelpNavigator cannot deal with given NavigatorView.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidNavigatorViewException(String msg, HelpSet hs, String name, String label, Locale locale, String className, Hashtable params)`
Create an exception.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
`HelpSet`
`getHelpSet()`
`String`
`getLabel()`
`Locale`
`getLocale()`
`String`
`getName()`
`Hashtable`
`getParams()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidNavigatorViewException

public InvalidNavigatorViewException(String msg, HelpSet hs, String name, String label, Locale locale, String className, Hashtable params)
Create an exception. All parameters accept null values.

Parameters:
  `msg` - The message. If msg is null it is the same as if no detailed message was specified.

## Method Details

### getHelpSet

public HelpSet getHelpSet()

Returns:
  The helpset

### getName

public String getName()

Returns:
  The name

### getLabel

public String getLabel()

Returns:
  The label

### getLocale

public Locale getLocale()

Returns:
  The locale

### getClassName

public String getClassName()

Returns:
  The className

### getParams

public Hashtable getParams()

Returns:
  The parameters